pro solution3_11
; generate two classes
   n1 = randomu(seed,1000,/normal)
   n2 = n1 + randomu(seed,1000,/normal)
   C1 = [[n1],[n2]]
   C2 = [[n1+4],[n2]]
   image = [C1,C2]
   center_x = mean(image[*,0])
; determine the direction W
   m1 = transpose([mean(n1),mean(n2)])
   m2 = transpose([mean(n1)+4,mean(n2)])
   s1 = correlate(transpose(C1),/covariance,/double)
   s2 = correlate(transpose(C2),/covariance,/double)
   W = invert(s1+s2)##(m1-m2)
   a = W[1]/W[0]
; scatterplot and Fisher discriminant
   plot, image[*,0],image[*,1],psym=4,/isotropic
   oplot,[center_x-10,center_x+10], [a*(-10),a*(10)]
end