pro solution5_2
; get MS image
   envi_select, title='Select 3-band MS input file', $
                    fid=fid, dims=dims, pos=pos
   if (fid eq -1) or (n_elements(pos) ne 3) then return
; get statistics
   envi_doit, 'envi_stats_doit', $
      fid = fid, pos = pos, dims = dims, $
      mean = avg, eval = eval, evec = evec, $
      comp_flag = 5
; PCA transformation
   envi_doit, 'pc_rotate', fid=fid, dims=dims, pos=pos, $
   /forward, mean = avg, eval = eval, evec = evec, $
   out_dt = 4, /in_memory, r_fi=r_fid
; linear stretch the bands
   envi_doit,'stretch_doit', fid=r_fid, dims=dims, pos=pos,$
     method=1, out_min=0, out_max=255, $
     range_by=0, i_min=0, i_max=100, out_dt=4, $
     /in_memory, r_fid=r_fid1
; get statistics
   envi_doit, 'envi_stats_doit', $
      fid = r_fid1, pos = pos, dims = dims, $
      mean = avg, eval = eval, evec = evec, $
      comp_flag = 5
; invert the PCA
   envi_doit, 'pc_rotate', fid=r_fid1, dims=dims, pos=pos,$
   mean = avg, eval = eval, evec = evec, out_dt = 4, $
   /in_memory
; remove temporary files
   envi_file_mng, id=r_fid, /remove
   envi_file_mng, id=r_fid1, /remove
end